package ar.com.supervielle.wsdl.servicios.integracion.cuenta.ctacte_v1;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-26T08:39:06.357-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebService(targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1", name = "CuentaCorrientePortType_v1.1")
@XmlSeeAlso({ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadiasatrasocon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultamovimientoscon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistadoban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.header_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistadoacuerdos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistado_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadetallecon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaacuerdos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaoperaciones_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaembargos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultasolicitudchequera_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaschdextractosban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultasaldos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultamovimientosban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadiasatrasoban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.pagingtypes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultacobrospendientes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultapersonasvinculadas_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaacuerdoscon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.altaacuerdos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultachequesemitidos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultacbuban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaembargoscon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadetalle_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultacbu_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaordendecuenta_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultapersonasvinculadasban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.solicitudchequera_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultapersonasvinculadascon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadetalleban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaacuerdosban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.commontypes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultachequesrecibidos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultarepositorioextracto_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadiasatraso_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistadocon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaembargosban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultacbucon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaschdextractos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.bajaacuerdos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultamovimientos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultasaldopromedio_v1.ObjectFactory.class, ar.com.supervielle.xsd.servicios.integracion.exception_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultaschdextractoscon_v1.ObjectFactory.class})
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
public interface CuentaCorrientePortTypeV11 {

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaMovimientos")
    public void consultaMovimientos(
        @WebParam(partName = "entrada", name = "ReqConsultaMovimientos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaMovimientos-v1.1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultamovimientos_v1.ReqConsultaMovimientos entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaMovimientos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaMovimientos-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultamovimientos_v1.RespConsultaMovimientos> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaChequesRecibidos")
    public void consultaChequesRecibidos(
        @WebParam(partName = "entrada", name = "ReqConsultaChequesRecibidos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaChequesRecibidos-v1.1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultachequesrecibidos_v1.ReqConsultaChequesRecibidos entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaChequesRecibidos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaChequesRecibidos-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultachequesrecibidos_v1.RespConsultaChequesRecibidos> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(operationName = "consultaListado_v1", action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaListado")
    public void consultaListadoV1(
        @WebParam(partName = "entrada", name = "ReqConsultaListado", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaListado-v1.1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistado_v1.ReqConsultaListado2 entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1")
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaListado", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaListado-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultalistado_v1.RespConsultaListado2> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaDetalle")
    public void consultaDetalle(
        @WebParam(partName = "entrada", name = "ReqConsultaDetalle", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaDetalle-v1.1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadetalle_v1.ReqConsultaDetalle entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaDetalle", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/consultaDetalle-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultadetalle_v1.RespConsultaDetalle> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/ctaCte-v1/consultaChequesEmitidos")
    public void consultaChequesEmitidos(
        @WebParam(partName = "entrada", name = "ReqConsultaChequesEmitidos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/ConsultaChequesEmitidos-v1.1")
        ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultachequesemitidos_v1.ReqConsultaChequesEmitidos entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaChequesEmitidos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/ctaCte/ConsultaChequesEmitidos-v1.1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.ctacte.consultachequesemitidos_v1.RespConsultaChequesEmitidos> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;
}
